Bug 1266556 - TaskQueryBuilder tests failing - not a group by expression
TaskQueryBuilder tests failing - not a group by expression
Status: VERIFIED
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: jBPM Core (Show other bugs)
6.2.0
Unspecified Unspecified
urgent Severity urgent
: ER5
: 6.2.0
Assigned To: Shelly McGowan
Tibor Zimanyi
: Regression, TestBlocker
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-25 11:30 EDT by Tibor Zimanyi
Modified: 2016-09-20 01:13 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tibor Zimanyi 2015-09-25 11:30:26 EDT
Description of problem:

Test TaskQueryBuilderLocalTest.testGetTasksByVariousFieldsWithUserGroupCallback(), which is located in module jbpm-human-task fails when executed on supported production DB systems. Exception thrown on Oracle 11gR2 is here: [1]. 

When tested with hibernate.show_sql=true property, it fails on this SQL statement: [2].

The problem is related to group by expression. All columns should be in this case part of group by expression or as @mriet noted, DISTINCT should be used instead. Problematic method that adds group by clause is TaskQueryCriteriaUtil.groupTaskIdWhenLefOuterJoinsPresent.

[1] http://pastebin.com/nmtjaZbC
[2] http://pastebin.com/8nHdB4vK

Version-Release number of selected component (if applicable): 6.2.0.ER3


How reproducible:

Execute TaskQueryBuilderLocalTest.testGetTasksByVariousFieldsWithUserGroupCallback() on one of supported production database systems.
Comment 3 Marco Rietveld 2015-10-27 22:45:14 EDT
Fixed. Commits: 

6.3.x: 
https://github.com/droolsjbpm/jbpm/commit/4b9cf010

master; 
https://github.com/droolsjbpm/jbpm/commit/0987f956
Comment 4 Marco Rietveld 2015-10-28 05:47:52 EDT
These commits were also part of the fix: 

6.3.x: 
https://github.com/droolsjbpm/droolsjbpm-integration/commit/30b35244

master: 
https://github.com/droolsjbpm/droolsjbpm-integration/commit/df5e8743
Comment 6 Tibor Zimanyi 2015-11-10 08:45:57 EST
Verified in 6.2.0.ER5 by running community test suite on supported DB systems. All tests that were failing pass now.

Note You need to log in before you can comment on or make changes to this bug.